## wxwidgets3.0 3.0.4+dfsg

=== debian/changelog ===
wxwidgets3.0 (3.0.4+dfsg-9) unstable; urgency=medium

  * debian/wxrc-tools.1: Update to refer to 3.0 not 2.8.
  * debian/control.in: Note conformance with Standards-Version 4.4.0.
  * debian/control.in: Consistently say whether packages are GTK 2 or GTK 3
    (and drop the "+" - GTK+ was renamed to just GTK in February 2019).
  * debian/README.Debian: Update lists of packages - webview and gtk3 packages
    were missing.
  * debian/README.Debian: Update URL to use https and avoid redirect.
  * Drop support for cross-built mingw packages - as far as I can tell these
    haven't been used by anyone in years, and nobody seems interested in
    updating them to work with the current Debian mingw packages.
    (Closes: #758495)
  * debian/README.Debian: Drop section about migrating from wxwidgets2.8 -
    that happened more than five years ago.
  * Update debhelper compatibility level from 9 to 12.
  * dh_compress with compat 12 no longer tries to compress files under
    /usr/share/doc/*/examples so drop unpack_examples.sh script and update
    README.examples.
  * upstream-changes-since-3.0.4.patch: New patch containing upstream changes
    since 3.0.4 which are relevant to Debian.  Upstream 3.0.x releases are
    very infrequent and we're currently missing a number of fixes which
    would be useful for the wxwidgets-gtk3 transition.  This patch also
    changes which were previously in patches fix-gcc8-wxlist-warnings.patch,
    fix-gcc8-event-table-warnings.patch and
    wxGCC_WARNING_SUPPRESS_CAST_FUNCTION_TYPE.patch.

 -- Olly Betts <olly@survex.com>  Mon, 05 Aug 2019 14:16:05 +1200

wxwidgets3.0 (3.0.4+dfsg-8) unstable; urgency=medium

  * Implement multi-arch support for wx-common and -dev packages
    (Closes: #917022)

 -- Scott Talbert <swt@techie.net>  Wed, 02 Jan 2019 22:46:21 -0500

wxwidgets3.0 (3.0.4+dfsg-7) unstable; urgency=medium

  * Adjust egrep merged-usr fix - configure doesn't honour EGREP, but setting
    GREP works.  (really Closes: #914086)

 -- Olly Betts <olly@survex.com>  Thu, 22 Nov 2018 08:53:08 +1300

wxwidgets3.0 (3.0.4+dfsg-6) unstable; urgency=medium

  * Fix not to capture /usr/bin/egrep path when built on a merged-usr system.
    (Closes: #914086)

 -- Olly Betts <olly@survex.com>  Wed, 21 Nov 2018 07:54:05 +1300

wxwidgets3.0 (3.0.4+dfsg-5) unstable; urgency=medium

  * Cherry-pick three patches from upstream WX_3_0_BRANCH branch to fix warnings
    from GCC8 when building applications using wxWidgets.
  * debian/control.in: Note conformance with Standards-Version 4.2.1.

 -- Olly Betts <olly@survex.com>  Mon, 19 Nov 2018 10:22:14 +1300

wxwidgets3.0 (3.0.4+dfsg-4) unstable; urgency=medium

  * Update team email address due to alioth retirement (Closes: #899727)

 -- Scott Talbert <swt@techie.net>  Wed, 30 May 2018 23:39:39 -0400

wxwidgets3.0 (3.0.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/p/wx-config-conditionalise-webview-in-std.patch:
    tweak patch to dpkg -l for the new package name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Mar 2018 15:37:46 +0200

wxwidgets3.0 (3.0.4+dfsg-2) unstable; urgency=medium

  * debian/control.in: Fix Depends for gtk3 media and webview -dev packages

 -- Scott Talbert <swt@techie.net>  Fri, 23 Mar 2018 20:47:14 -0400

wxwidgets3.0 (3.0.4+dfsg-1) unstable; urgency=medium

  * Add build of GTK+3 packages
  * debian/watch: Use official tarballs instead of github-generated ones
  * New upstream release
    + debian/patches/: drop WebKit2 patch (incorporated upstream)
  * debian/control.in: Add myself to Uploaders
  * debian/control.in: Note conformance with Standards-Version 4.1.3.
  * debian/control.in: Update VCS URLs to reflect new salsa VCS location
  * debian/rules: Replace deprecated dh_autotools-dev_updateconfig
  * debian/control.in: Multi-Arch changes (Closes: #887378)
    + Change wx3.0-headers to Architecture: all and Multi-Arch: foreign
    + Change wx3.0-i18n to Multi-Arch: foreign
    + Change wx3.0-examples to Multi-Arch: foreign
    + Change wx3.0-doc to Multi-Arch: foreign
    + Change wx3.0-headers dependents from binary to source version

 -- Scott Talbert <swt@techie.net>  Wed, 14 Mar 2018 23:35:28 -0400
