=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: libs
 Priority: optional
 Build-Depends-indep: doxygen, graphviz
-Build-Depends: debhelper (>= 9.20160114), gettext, libgtk2.0-dev,
+Build-Depends: debhelper-compat (= 12), gettext, libgtk2.0-dev,
  g++ (>= 4:5.2),
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  autotools-dev, autoconf, libexpat1-dev, dpkg-dev (>= 1.16.1~), libxt-dev,
  libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
  libgtk-3-dev, libwebkit2gtk-4.0-dev,
- libwebkitgtk-dev, libnotify-dev
-Maintainer: Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
+ libnotify-dev
+Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
 Uploaders: Olly Betts <olly@survex.com>, Scott Talbert <swt@techie.net>
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freewx-team/wx.git -b wx3.0-debian
 Vcs-Browser: https://salsa.debian.org/freewx-team/wx/tree/wx3.0-debian
 Homepage: https://www.wxwidgets.org/
@@ -42,6 +42,7 @@
 Architecture: any
 Section: libdevel
 Depends: wx3.0-headers (= ${source:Version}), libwxbase3.0-0v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Multi-Arch: same
 Suggests: wx3.0-doc, gettext
 Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
  wxBase is a collection of C++ classes providing basic data structures
@@ -63,7 +64,7 @@
 Multi-Arch: same
 Breaks: libwxgtk3.0-0
 Replaces: libwxgtk3.0-0
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -76,8 +77,9 @@
 Architecture: any
 Section: libdevel
 Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk3.0-0v5 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
+Multi-Arch: same
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 2 development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -98,7 +100,7 @@
 Multi-Arch: same
 Breaks: libwxgtk-media3.0-0
 Replaces: libwxgtk-media3.0-0
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 2 media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -110,8 +112,9 @@
 Architecture: any
 Section: libdevel
 Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-media3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
+Multi-Arch: same
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 2 media library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -119,40 +122,12 @@
  This package provides files needed to compile wxWidgets programs using the
  wxgtk-media library.
 
-Package: libwxgtk-webview3.0-0v5
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk-webview3.0-0
-Replaces: libwxgtk-webview3.0-0
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
- .
- This package provides the webview shared libraries needed to run programs
- linked against libwx_gtk2u_webview.
-
-Package: libwxgtk-webview3.0-dev
-Architecture: any
-Section: libdevel
-Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
- .
- This package provides files needed to compile wxWidgets programs using the
- wxgtk-webview library.
-
 Package: libwxgtk3.0-gtk3-0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -165,8 +140,9 @@
 Architecture: any
 Section: libdevel
 Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk3.0-gtk3-0v5 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 development)
+Multi-Arch: same
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -185,7 +161,7 @@
   gstreamer1.0-plugins-good,
   gstreamer1.0-x
 Multi-Arch: same
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 media library runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -197,8 +173,9 @@
 Architecture: any
 Section: libdevel
 Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-media3.0-gtk3-0v5 (= ${binary:Version}), libwxgtk3.0-gtk3-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 media library development)
+Multi-Arch: same
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -211,7 +188,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Multi-Arch: same
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 webview library runtime)
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -223,8 +200,9 @@
 Architecture: any
 Section: libdevel
 Depends: wx-common, wx3.0-headers (= ${source:Version}), libwxgtk-webview3.0-gtk3-0v5 (= ${binary:Version}), libwxgtk3.0-gtk3-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ 3 webview library development)
+Multi-Arch: same
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
  unpopular ones as well).
@@ -234,6 +212,7 @@
 
 Package: wx-common
 Architecture: any
+Multi-Arch: foreign
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: zip
@@ -278,3 +257,23 @@
 Section: devel
 Depends: ${misc:Depends}
 Suggests: libwxgtk3.0-dev, wx3.0-doc
+Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package contains examples of using the wxWidgets toolkit in
+ C++.
+
+Package: wx3.0-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Suggests: doc-base, www-browser
+Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package provides a HTML version of the wxWidgets reference manual.
