=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1

export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOB_COUNT := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  FAST_MAKE = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# DEBIAN_WX_DEFAULT_VERSION = 2.8


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := $(word 2,$(subst -, ,$(DEB_SOURCE)))


wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
wx_minor_version_number := $(shell sed -n 's/^wx_minor_version_number=//p' configure.in)
wx_release_number       := $(shell sed -n 's/^wx_release_number=//p' configure.in)

release := $(wx_major_version_number).$(wx_minor_version_number)

so_cur := $(shell sed 's,<set var="WX_CURRENT">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
so_age := $(shell sed 's,<set var="WX_AGE">\([0-9]\+\)</set>,\1,p;d' build/bakefiles/version.bkl)
soversion := $(shell expr $(so_cur) - $(so_age))

sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))v5
soreleasegtk3 := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-gtk3-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))v5

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))


# build options
COMMON_CONFIGURE_OPTIONS := \
    --prefix=/usr \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=sys \
    --with-expat=sys \
    $(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98 dpkg-buildflags --export=configure)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
COMMON_CONFIGURE_OPTIONS += --disable-optimise
endif

# Avoid /usr/bin/grep getting put in the generated wx-config when built on a
# merged-usr system (which will then fail when run on a non-merged-usr system).
COMMON_CONFIGURE_OPTIONS += GREP=/bin/grep

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --enable-mediactrl \
    --enable-sound \
    --with-gtk \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
    --with-opengl \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

GTK3_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --enable-mediactrl \
    --enable-sound \
    --enable-webview \
    --with-gtk=3 \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
    --with-opengl \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dev      := libwxbase$(release)-dev

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dev         := libwxgtk$(release)-dev

package_gtkmedia_lib    := libwxgtk-media$(sorelease)
package_gtkmedia_dev    := libwxgtk-media$(release)-dev

package_gtk3_lib         := libwxgtk$(soreleasegtk3)
package_gtk3_dev         := libwxgtk$(release)-gtk3-dev

package_gtk3media_lib    := libwxgtk-media$(soreleasegtk3)
package_gtk3media_dev    := libwxgtk-media$(release)-gtk3-dev

package_gtk3webview_lib    := libwxgtk-webview$(soreleasegtk3)
package_gtk3webview_dev    := libwxgtk-webview$(release)-gtk3-dev

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common)


# The packages listed here will not be built by default.
do_not_build_packages :=
ifdef DEBIAN_WX_DEFAULT_VERSION
do_not_build_packages += $(common_packages)
endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_install         = objs_gtk_install
objdir_gtk3_shared         = objs_gtk3_sh
objdir_gtk3_install        = objs_gtk3_install

objdir_doc                 = docs/doxygen/out
objdir_examples            = docs/examples
objdir_i18n                = locale

objdirs := $(objdir_wxbase_shared) $(objdir_gtk_shared) $(objdir_gtk_install) \
	   $(objdir_gtk3_shared) $(objdir_gtk3_install) \
	   $(objdir_doc) $(objdir_examples)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp \
                    build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-gtk3-shared-stamp \
                    build-i18n-stamp

build_indep_stamps = build-doc-stamp build-examples-stamp

build_stamps := $(build_arch_stamps) $(build_indep_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev \
                   install-gtk-lib install-gtk-dev        \
		   install-gtkmedia-lib install-gtkmedia-dev \
                   install-gtk3-lib install-gtk3-dev        \
		   install-gtk3media-lib install-gtk3media-dev \
		   install-gtk3webview-lib install-gtk3webview-dev \
                   install-headers install-i18n

ifndef DEBIAN_WX_DEFAULT_VERSION
  install_all_arch += install-common
endif

install_all_indep = install-doc install-examples

install_all := $(install_all_arch) $(install_all_indep)


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g;s/=SOG3V/$(soreleasegtk3)/g'\
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dev).$$f";       \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxgtk-dev.$$f                            \
			> debian/$(package_gtk_dev).$$f;                     \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk3_dev).$$f";      \
		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxgtk-gtk3-dev.$$f                       \
			> debian/$(package_gtk3_dev).$$f;                    \
	done
	@for f in doc-base; do                                               \
