## wxwidgets3.0 3.0.5.1%2Bdfsg

=== debian/changelog ===
wxwidgets3.0 (3.0.5.1+dfsg-deepin2+rb1) unstable; urgency=medium

  * Move to main.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 06 Sep 2024 13:21:42 +0800

wxwidgets3.0 (3.0.5.1+dfsg-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 18:06:20 +0800

wxwidgets3.0 (3.0.5.1+dfsg-2) unstable; urgency=medium

  * rebuild
  * Fix AUI caption text color on dark background (Closes: #964820)

 -- Scott Talbert <swt@techie.net>  Tue, 14 Jul 2020 19:15:04 -0400

wxwidgets3.0 (3.0.5.1+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.0.5.1
  * Remove upstream changes patch due to being incorporated
  * Update Standards-Version to 4.5.0
  * Update shlibs file for new upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 11 May 2020 17:20:21 -0400

wxwidgets3.0 (3.0.4+dfsg-15) unstable; urgency=medium

  * Drop GTK2 flavoured packages.
  * debian/patches/upstream-changes-since-3.0.4.patch: Update to include
    "Fix mistake in wxDateTime::Tm struct documentation".  Upstream ticket
    #18534.

 -- Olly Betts <olly@survex.com>  Tue, 29 Oct 2019 09:41:16 +1300

wxwidgets3.0 (3.0.4+dfsg-14) unstable; urgency=medium

  * debian/patches/upstream-changes-since-3.0.4.patch: Update to include
    fix for drawing border under GTK3 when a non-native control is a child of
    a native widget, such as wxSearchCtrl in GtkToolbar. Upstream ticket
    #18522.

 -- Olly Betts <olly@survex.com>  Wed, 09 Oct 2019 06:58:09 +1300

wxwidgets3.0 (3.0.4+dfsg-13) unstable; urgency=medium

  * debian/patches/upstream-changes-since-3.0.4.patch: Update to include
    fix for two-finger touchpad scrolling under wayland.  (Closes: #939896)
  * debian/control.in: Note conformance with Standards-Version 4.4.1.

 -- Olly Betts <olly@survex.com>  Thu, 03 Oct 2019 08:47:02 +1300

wxwidgets3.0 (3.0.4+dfsg-12) unstable; urgency=medium

  * debian/libwxgtk3.0-gtk3-0v5.shlibs: Add shlibs file.
    (Really Closes: #939740)

 -- Olly Betts <olly@survex.com>  Tue, 10 Sep 2019 06:26:48 +1200

wxwidgets3.0 (3.0.4+dfsg-11) unstable; urgency=medium

  * debian/patches/upstream-changes-since-3.0.4.patch: Add lost entry for
    new wxWindow::GetContentScaleFactor() function. (Closes: #939740)

 -- Olly Betts <olly@survex.com>  Mon, 09 Sep 2019 08:19:11 +1200

wxwidgets3.0 (3.0.4+dfsg-10) unstable; urgency=medium

  * debian/control.in: Drop BD autotools-dev, autoconf which aren't required
    under debhelper compat level 12.
  * debian/control.in: Fix short description of libwxgtk3.0-0v5 - this is
    the "GTK 2" package, not "GTK 3".
  * debian/patches/upstream-changes-since-3.0.4.patch: Update to include
    upstream patch which implements wxWindow::GetContentScaleFactor()
    to return the correct value instead of always reporting 1.0.
    (Closes: #933554)
  * debian/patches/upstream-changes-since-3.0.4.patch: Note the upstream
    commit hash which this patch includes changes up to.
  * debian/patches/force-x11-for-wxgl.patch: New patch which forces X11 if
    wx gl library is loaded. (Closes: #900678)

 -- Olly Betts <olly@survex.com>  Fri, 06 Sep 2019 10:45:14 +1200
